> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve account balance



## OpenAPI

````yaml get /api/v1/balance/{currency}
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/balance/{currency}:
    get:
      tags:
        - Payout
      parameters:
        - name: currency
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletBalanceSuccessResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletBalanceFailureResponse'
components:
  schemas:
    WalletBalanceSuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
          description: Indicates whether the wallet balance was fetched successfully.
        message:
          type: string
          nullable: true
          description: >-
            Provides additional information about the wallet balance request
            status.
        data:
          type: object
          nullable: true
          description: Contains the wallet balance details.
          properties:
            currency:
              type: string
              description: The currency of the wallet balance, e.g. NGN.
            balance:
              type: number
              description: The current available balance in the wallet.
          additionalProperties: false
      additionalProperties: false
      example:
        success: true
        message: Balance Fetched Successfully
        data:
          currency: NGN
          balance: 0
    WalletBalanceFailureResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Indicates if the operation was successful
        message:
          type: string
          nullable: true
          description: A message providing more details about the response
        data:
          nullable: true
      additionalProperties: false
      example:
        success: false
        message: Balance information not found
        data: string
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````